You need to enable JavaScript to run this app.
文档中心
火山方舟

火山方舟

复制全文
下载 pdf
Webhooks
更新 Webhook 接入点
复制全文
下载 pdf
更新 Webhook 接入点
PUT https://ark.cn-beijing.volces.com/api/v3/webhook_endpoints/{endpoint_id}​
更新指定 Webhook 接入点的回调地址、描述或订阅事件。接口只更新请求中提供的字段,省略字段保持原值。​
仅停用状态下可以修改回调地址。配置更新不改变接入点状态、停用原因、连续失败数或最近成功投递时间;完全相同的配置不会更新 updated_at。​
鉴权​
本接口支持鉴权方式如下,详情请参见 Base URL 及鉴权。​
  • API Key 鉴权,请在 API Key 管理 页面,获取长效 API Key。​
​​
请求参数​
Path 参数​
endpoint_id string 必选 | 接入点 ID​
​
​
Body 参数​
description string / null | 接入点描述​
​
events string[] | 订阅事件​
​
url string | 回调地址​
​
​
响应参数​
consecutive_failures integer | 连续失败数​
​
created_at string | 创建时间​
​
description string / null | 接入点描述​
​
disabled_reason string / null | 停用原因​
​
events string[] | 订阅事件​
​
id string | 接入点 ID​
​
last_error_code string / null | 最近失败分类​
​
last_failure_at string / null | 最近失败时间​
​
last_http_status integer / null | 最近失败状态码​
​
last_success_at string / null | 最近成功时间​
​
status string | 接入点状态​
​
updated_at string | 更新时间​
​
url string | 回调地址​
​
​

Request

curl -sS --fail-with-body -X PUT \
  "https://ark.cn-beijing.volces.com/api/v3/webhook_endpoints/$WEBHOOK_ENDPOINT_ID" \
  -H "Authorization: Bearer $ARK_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "description": "接收 Session 状态变更通知",
    "events": [
      "session.status_idled",
      "session.status_terminated"
    ]
  }'

Response

HTTP/1.1 200 OK

{
  "id": "wep-20261012080000-a1b2c",
  "url": "https://example.com/webhooks/managed-agents",
  "description": "接收 Session 状态变更通知",
  "events": [
    "session.status_idled",
    "session.status_terminated"
  ],
  "status": "ACTIVE",
  "created_at": "2026-10-12T08:00:00Z",
  "updated_at": "2026-10-12T08:05:00Z",
  "disabled_reason": null,
  "consecutive_failures": 0,
  "last_success_at": null,
  "last_failure_at": null,
  "last_error_code": null,
  "last_http_status": null
}
最近更新时间:2026.10.28 11:37:21
这个页面对您有帮助吗?
有用
有用
无用
无用